Bug 189890 - UPDATE PORT: net/iscsi-target as deprecated
Summary: UPDATE PORT: net/iscsi-target as deprecated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 19:00 UTC by mark
Modified: 2014-07-29 13:31 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mark 2014-05-17 19:00:00 UTC
For quite some time, iSCSI target has been integrated into base.


http://www5.us.freebsd.org/doc/handbook/network-iscsi.html


Deprecate this port in favor of one of the following:

* "istgt" (/usr/ports/net/istgt/), which is a newer iSCSI target, originally
written for FreeBSD and also used by FreeNAS, etc.

* the native iSCSI target is supported starting with FreeBSD 10.0-RELEASE

How-To-Repeat: N/A
Comment 1 John Marino freebsd_committer 2014-07-13 08:12:06 UTC
What release of FreeBSD got iSCSI in base?  Or in other words, is it in base for FreeBSD 8, 9, and 10?
Comment 2 mark 2014-07-26 22:38:11 UTC
(In reply to John Marino from comment #1)
> What release of FreeBSD got iSCSI in base?  Or in other words, is it in base
> for FreeBSD 8, 9, and 10?

iSCSI can be considered as two sides of the same coin... an initiator and a target
component.

iscsi-target is originally from NetBSD's implementation from 2006

The base target is available as of 10.0-REL. Users of earlier are suggested to
use ports/istgt.

An initiator was in base further back, I think integration began in 2007
per http://lists.freebsd.org/pipermail/freebsd-stable/2007-June/035623.html
Ref: iscontrol(8) and iscsi_initiator(4)
Comment 3 John Marino freebsd_committer 2014-07-26 22:53:49 UTC
So really the port shouldn't be removed, but only set to IGNORE if the machine is on FreeBSD release 10 or later, right?
Comment 4 commit-hook freebsd_committer 2014-07-29 13:21:12 UTC
A commit references this bug:

Author: arved
Date: Tue Jul 29 13:21:05 UTC 2014
New revision: 363316
URL: http://svnweb.freebsd.org/changeset/ports/363316

Log:
  Mark deprecated

  PR:		189890
  Submitted by:	maintainer
  Approved by:	portmgr (implicit, not staged)

Changes:
  head/net/iscsi-target/Makefile
Comment 5 Tilman Keskinoz freebsd_committer 2014-07-29 13:24:48 UTC
Port marked DEPRECATED.

Thanks for reporting
Comment 6 John Marino freebsd_committer 2014-07-29 13:31:29 UTC
Note that DEPRECATED was used without EXPIRATION_DATE which is normally frowned upon, but the EXPIRATION_DATE gets set anyway to 2014-08-31 due to the port not being staged.  So I think it should get removed by September anyway.